@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,200;0,300;0,400;0,500;0,600;0,700;1,800&display=swap');


:root{
    --overlay-color:rgba(255, 255, 255, 0.596);
}



*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'poppins', sans-serif;
    overflow: hidden;
}



.showcase{
    position: absolute;
    right: 0;
    width: 100%;
    min-height: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: #111;
    color: wheat;
    z-index: 4;
    
}


.showcase.active{
    z-index: -10000;

    
}

.showcase header {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    padding: 40px 100px;
    z-index: 100;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.logo {
    text-transform: uppercase;
    cursor: pointer;

}

.toggle {
    position: relative;
    width: 60px;
    height: 60px;
    background-image: url('https://i.ibb.co/HrfVRcx/menu.png');
    background-repeat: no-repeat;
    background-size: 35px;
    background-position: center;
    cursor: pointer;
}

.toggle.active {
    background-image: url('https://i.ibb.co/rt3HybH/close.png');
    background-repeat: no-repeat;
    background-size: 35px;
    background-position: center;
    z-index: 200;
}


.showcase video{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    opacity: 0.8;

}

.overlay{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color:var(--overlay-color);
    mix-blend-mode: overlay;
}


.text {
    position: relative;
    z-index: 10;

}

.text h2 {
    font-size: 4em;
    font-weight: 800;
    line-height: 1em;
    text-transform: uppercase;
    margin-left: 20px;
    color: black;


}
.text h3 {
    font-size: 2em;
    font-weight: 700;
    line-height: 1em;
    text-transform: uppercase;
    margin-left: 20px;
    color: black;
}

.text p {
    font-size: 1.1em;
    margin: 20px;
    font-weight: 400;
    max-width: 700px;
    margin-left: 20px;
    color: black;


}

.text a {
    display: inline-block;
    font-size: 1em;
    background: #fff;
    padding: 10px 30px;
    text-decoration: none;
    color: #111;
    margin: 10px 20px;
    text-transform: uppercase;
    letter-spacing: 2px;
    transition: 0.2s;


}

.text a:hover {
    letter-spacing: 6px;
}


.menu{
    position: absolute;
    top: 70px;
    right: 0;
    width: 300px;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;

}

.menu ul {
    position: relative;
    list-style: none;

}

.menu ul li a {
text-decoration: none;
font-size: 24px;
color: #111;

font-weight: bolder;

}
.menu ul li a:hover{
    color: rgb(0, 89, 255);
}


@media(max-width:750px) {
    .showcase, .showcase header {
        padding: 40px;

    }
    .text h2 {
        font-size: 2em;

    }

    .text h3{
        font-size: 1em;
    }
}